Package org.eclipse.m2m.atl.adt.ui.outline

## Class AtlLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.m2m.atl.adt.ui.outline.AtlLabelProvider

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`

    public class AtlLabelProvider
    extends org.eclipse.jface.viewers.LabelProvider

### Constructor Summary

Constructors
`AtlLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`org.eclipse.swt.graphics.Image` `getImage​(java.lang.Object element)`
`java.lang.String` `getText​(java.lang.Object element)`
`void` `initReaders()`
`protected java.lang.RuntimeException` `unknownElement​(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Constructor Detail

#### AtlLabelProvider

    public AtlLabelProvider()

### Method Detail

#### initReaders

    public void initReaders()

#### getImage

    public org.eclipse.swt.graphics.Image getImage​(java.lang.Object element)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  `LabelProvider.getImage(java.lang.Object)`

#### getText

    public java.lang.String getText​(java.lang.Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  `LabelProvider.getText(java.lang.Object)`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
Overrides:
  `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`
See Also:
  `BaseLabelProvider.dispose()`

#### unknownElement

    protected java.lang.RuntimeException unknownElement​(java.lang.Object element)